﻿
Public Class DentalPayment
    ' module/class level
    Const CLEANING_RATE_Decimal As Decimal = 135
    Const FILLING_RATE_Decimal As Decimal = 195
    Const XRAY_RATE_Decimal As Decimal = 150
    'Const CleaningRateDecimal As Decimal = 135

    Private Sub calculateButton_Click(sender As System.Object, e As System.EventArgs) Handles calculateButton.Click
        ' Calculate the bill amount
        Dim TotalDecimal As Decimal = 0

        ' Check if a name was entered
        If nameTextBox.Text.Trim = "" Then
            ' they did not enter a name
            MessageBox.Show("Please enter the patient's name.")
        Else
            ' they did enter a name
            'If CleaningCheckBox.Checked Or
            '    FillingCheckBox.Checked Or
            '    XRayCheckBox.Checked Then

            'End If
            'If Not CleaningCheckBox.Checked = True AndAlso
            '    Not FillingCheckBox.Checked = True AndAlso
            '    Not XRayCheckBox.Checked = True Then

            'End If
            If CleaningCheckBox.Checked = True Or
                FillingCheckBox.Checked = True Or
                XRayCheckBox.Checked = True Then
                ' the patient had at least one service
                ' total the amount of the bill
                'Dim TotalDecimal As Decimal = 0

                ' if the patient had a cleaning
                'If CleaningCheckBox.Checked Then
                If CleaningCheckBox.Checked = True Then
                    TotalDecimal += CLEANING_RATE_Decimal
                    'TotalDecimal = TotalDecimal + CLEANING_RATE_Decimal
                End If

                ' if patient had a cavity filled
                If FillingCheckBox.Checked = True Then
                    TotalDecimal += FILLING_RATE_Decimal
                End If

                ' if patient had an xray
                If XRayCheckBox.Checked Then
                    TotalDecimal += XRAY_RATE_Decimal
                End If

                ' display the total
                totalCostLabel.Text = TotalDecimal.ToString("C")


            Else
                ' no services were selected
                MessageBox.Show("Please select at least one service.")

            End If
        End If
        'If Not (nameTextBox.Text = "") Then
        '    ' they entered a name
        'Else
        '    ' the did not enter a name
        'End If
        'If nameTextBox.Text <> "" Then
        '    ' they entered a name
        'Else
        '    ' they did not enter a name
        'End If

    End Sub
End Class ' DentalPayment

